# Sqlite Extensions - Usage (Sqlite 3.35.4)

This folder `/usr/bin` contains shared libraries (dll files) with name prototype
`msys-sqlite3[EXTENSION]-0.dll` `sqlite3.exe` can be instructed to load at run-time
in order to add functions usable in `sqlite3` SQL code.


Here an example of how to call an extension from the command line (example with
extension `csv`, other extensions are in the directory `/usr/bin`):

- open a shell (e.g. the `MSYS` shell)
- call `sqlite3.exe` (residing in `/usr/bin`)
- load the sqlite extension (use an absolute path in Unix notation, see below
  for an example of an absolute path)

~~~bash
    sqlite3
    sqlite3> .load /usr/bin/msys-sqlite3csv-0.dll  sqlite3_csv_init
~~~

Usage information to each extension is contained in the header of the c-file
corresponding to the extension you can find in this directory.


More information here: https://www.sqlite.org/loadext.html#loading_an_extension.
